---
title: CSSKeywordValue.value
slug: Web/API/CSSKeywordValue/value
tags:
  - API
  - CSS Typed Object Model API
  - CSSKeywordValue
  - Experimental
  - Houdini
  - Property
  - Reference
  - value
---
<div>{{SeeCompatTable}}{{APIRef("CSS Typed Object Model API")}}</div>

<p><span class="seoSummary">The <strong><code>value</code></strong> property of the {{domxref("CSSKeywordValue")}} interface returns or sets the value of the <code>CSSKeywordValue</code>. </span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>val</var> = <var>cssKeywordValue</var>.value
<var>cssKeywordValue</var>.value = <var>val</var></pre>

<h3 id="Value">Value</h3>

<p>A {{domxref('USVString')}}.</p>

<h2 id="Examples">Examples</h2>

<p>The following example resets the CSS {{cssxref('display')}} property to its defaults.</p>

<pre class="brush: js">let indicator = Document.getElementById('indicator');
indicator.attributeStyleMap.set('display', new CSSKeywordValue('initial'));
indicator.attributeStyleMap.get('display').value // 'initial'</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#dom-csskeywordvalue-value','undefined')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSKeywordValue.value")}}</p>
